Package: org.codehaus.groovy.ast.stmt

## [Java] Class IfStatement

- org.codehaus.groovy.ast.stmt.IfStatement

- Represents an if (condition) { ... } else { ... } statement in Groovy

  Authors:
    James Strachan

- - ### Constructor Summary

    Constructors
    Constructor and description
    `IfStatement (BooleanExpression booleanExpression, Statement ifBlock, Statement elseBlock)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `BooleanExpression` | `getBooleanExpression()`
    `` | `Statement` | `getElseBlock()`
    `` | `Statement` | `getIfBlock()`
    `` | `void` | `setBooleanExpression(BooleanExpression booleanExpression)`
    `` | `void` | `setElseBlock(Statement statement)`
    `` | `void` | `setIfBlock(Statement statement)`
    `` | `void` | `visit(GroovyCodeVisitor visitor)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Statement` | `addStatementLabel, getStatementLabel, getStatementLabels, isEmpty, setStatementLabel`
    `class ASTNode` | `copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getNodeMetaData, getNodeMetaData, getText, putNodeMetaData, removeNodeMetaData, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setNodeMetaData, setSourcePosition, visit`
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### public IfStatement(BooleanExpression booleanExpression, Statement ifBlock, Statement elseBlock)

  - ### Method Detail

    - #### public BooleanExpression getBooleanExpression()

    - #### public Statement getElseBlock()

    - #### public Statement getIfBlock()

    - #### public void setBooleanExpression(BooleanExpression booleanExpression)

    - #### public void setElseBlock(Statement statement)

    - #### public void setIfBlock(Statement statement)

    - #### public void visit(GroovyCodeVisitor visitor)